﻿@using System.Web.UI.WebControls;
@using Portal.Models.DailyOrder;



 <table border="0">
        <tr>
            <td style="height:25px; padding-right:4px;">
            @Html.Label("Order No")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "OrderNo";
                                settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            }).GetHtml()
            </td>

            <td style="height:25px; padding-right:4px;">
            @Html.Label("Supplier Plan")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "SupplierPlan";
                                settings.Text = "50";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            }).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="height:25px; padding-right:4px;">
            @Html.Label("Rcv Plant Code")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "RvcPlanCode";
                                settings.Text = "200";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            }).GetHtml()
            </td>
          <td style="height:25px; padding-right:4px;">
            @Html.Label("Dock Code")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "DockCode";
                                settings.Text = "200";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            }).GetHtml()
            </td>
         </tr>
       </table>

    <table width="100%" border="0">
        <tr>
            <td>
            </td>
            <td align="right">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnCancelPartOrderReguler";
                    settings.Text = "Cancel / Reduce Part Order";
                    settings.Width = 180;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()                
            </td>
        </tr>
    </table>

@Html.DevExpress().GridView(
        setting =>
        {
            setting.Name = "OrderDetail_" + ViewData["ManifestNumber"];
            setting.SettingsDetail.MasterGridName = "OrderDetail";
            setting.Name = "SubDetailRegulerDataGrid";
            setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
            setting.Width = Unit.Percentage(100);

            //setting.CallbackRouteValues = new { Controller = "DailyOrder", Action = "OrderSubDetailGrid", ID = ViewData["SupplierCode"] };
            setting.KeyFieldName = "Part_Number";
            setting.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
            setting.Settings.VerticalScrollableHeight = 250;
            setting.SettingsPager.Position = PagerPosition.Bottom;
            setting.SettingsPager.FirstPageButton.Visible = true;
            setting.SettingsPager.LastPageButton.Visible = true;
            setting.Settings.ShowFilterRow = true;
            setting.Settings.ShowFilterRowMenu = true;
            setting.CommandColumn.Visible = false;
            setting.CommandColumn.ClearFilterButton.Visible = true;

            setting.SettingsPager.PageSizeItemSettings.Visible = true;
            setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
            setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";

            setting.Columns.Add("No", "No");
            setting.Columns["No"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns["No"].Width = Unit.Pixel(25);
            setting.Columns.Add("Part_Number", "Part No");
            setting.Columns["Part_Number"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns.Add("Part_Name", "Part Name");
            setting.Columns["Part_Name"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns.Add("Order_Qty", "Order Qty");
            setting.Columns["Order_Qty"].CellStyle.HorizontalAlign = HorizontalAlign.Right;
            setting.Columns.Add("Qty_Lot", "Qty Lot");
            setting.Columns["Qty_Lot"].CellStyle.HorizontalAlign = HorizontalAlign.Right;
            setting.Columns.Add(
                column =>
                {
                    column.FieldName = "Qty_Per_Container";
                    column.Caption = "Qty / Container";
                    //column.ColumnType = MVCxGridViewColumnType.ComboBox;
                    //var comboBoxProperties = column.PropertiesEdit as ComboBoxProperties;
                    //comboBoxProperties.TextField = "Qty_Per_Container";
                    //comboBoxProperties.ValueField = "Qty_Per_Container";
                    //comboBoxProperties.ValueType = typeof(string);
                });
            setting.Columns["Qty_Per_Container"].CellStyle.HorizontalAlign = HorizontalAlign.Right;
            setting.Columns.Add("Order_Qty", "Cancel Qty");
            setting.Columns["Order_Qty"].CellStyle.HorizontalAlign = HorizontalAlign.Right;
        }).Bind(Model.GetModel<DailyOrderModel>().OrderDetails).GetHtml()



    <table width="100%" border="0">
        <tr>
            <td align="left"></td>
            <td align="Right" width="60px">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnRegulerUpdateSubDetail";
                    settings.Text = "Update";
                    settings.Width = 80;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()
            </td>
            <td align="Right" width="60px">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnCancelSubDetail";
                    settings.Text = "Cancel";
                    settings.Width = 80;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()                
            </td>
        </tr>
    </table>